"""
    Freqtrade API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)  # noqa: E501

    The version of the OpenAPI document: 2021.9-dev10
    Generated by: https://openapi-generator.tech
"""


import unittest

import ftclient
from ftclient.api.backtest_api import BacktestApi  # noqa: E501


class TestBacktestApi(unittest.TestCase):
    """BacktestApi unit test stubs"""

    def setUp(self):
        self.api = BacktestApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_api_backtest_abort_api_v1_backtest_abort_get(self):
        """Test case for api_backtest_abort_api_v1_backtest_abort_get

        Api Backtest Abort  # noqa: E501
        """
        pass

    def test_api_delete_backtest_api_v1_backtest_delete(self):
        """Test case for api_delete_backtest_api_v1_backtest_delete

        Api Delete Backtest  # noqa: E501
        """
        pass

    def test_api_get_backtest_api_v1_backtest_get(self):
        """Test case for api_get_backtest_api_v1_backtest_get

        Api Get Backtest  # noqa: E501
        """
        pass

    def test_api_start_backtest_api_v1_backtest_post(self):
        """Test case for api_start_backtest_api_v1_backtest_post

        Api Start Backtest  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
